import os
from glob import glob
from datetime import datetime
from config import config

name="Automatic ID"


def run(prescription):
    global config
    date=datetime.strptime(prescription.date, "%Y-%m-%d %H:%M:%S")
    part1=date.strftime("%Y%m%d")
    part2=10001
    part3="_".join(prescription.name.lower().split())
    suggest=part1+"-"+str(part2)[1:]
    ids=[]
    try:
        for i in glob(os.path.join(config["document_directory"], "*.mpaz")):
            ids.append(os.path.splitext(os.path.basename(i))[0].split("_")[0])
        if(prescription.id.split("_")[0] in ids):
            suggest=prescription.id.split("_")[0]
        else:
            while suggest in ids:
                part2=part2+1
                suggest=part1+"-"+str(part2)[1:]
        if part3:
            prescription.id=suggest+"_"+part3
        else:
            prescription.id=suggest
    except Exception as e:
        print(e)

def refresh(prescription):
    run(prescription)

def new(prescription):
    run(prescription)
